Summary:	Pango engine to SDL
Summary(pl.UTF-8):	Silnik Pango dla SDL
Name:		SDL_Pango
Version:	0.1.2
Release:	4
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/sdlpango/%{name}-%{version}.tar.gz
# Source0-md5:	85bbf9bb7b1cee0538154dadd045418c
Patch0:		%{name}-am.patch
Patch1:		%{name}-0.1.2-API-adds.patch
URL:		http://sdlpango.sourceforge.net/
BuildRequires:	SDL-devel >= 1.2.0
BuildRequires:	autoconf >= 2.59-9
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pango-devel
BuildRequires:	pkgconfig >= 1:0.9.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pango engine to SDL.

%description -l pl.UTF-8
Silnik Pango dla SDL.

%package devel
Summary:	Header files and more to develop SDL_Pango applications
Summary(pl.UTF-8):	Pliki nagłówkowe do rozwijania aplikacji używających SDL_Pango
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel

%description devel
Header files and more to develop SDL_Pango applications.

%description devel -l pl.UTF-8
Pliki nagłówkowe do rozwijania aplikacji używających SDL_Pango.

%package static
Summary:	Static SDL_Pango libraries
Summary(pl.UTF-8):	Statyczne biblioteki SDL_Pango
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static SDL_Pango libraries.

%description static -l pl.UTF-8
Statyczne biblioteki SDL_Pango.

%prep
%setup -q
%patch0 -p1
%patch1 -p0

%build
rm -f acinclude.m4
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*
%attr(755,root,root) %ghost %{_libdir}/lib*.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/SDL/*
%{_pkgconfigdir}/SDL_Pango.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%changelog
* Thu Dec 31 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/SDL_Pango.git;a=log;h=master

* Thu Dec 31 2015 Jan Rękorajski <baggins@pld-linux.org> 615f9a0
- release 4 (by relup.sh)

* Thu Jun 03 2010 Jan Rękorajski <baggins@pld-linux.org> e135bc2
- rel 3

* Sat Feb 27 2010 sparky <sparky@pld-linux.org> 4886427
- unify %attr() %ghost order

* Wed Jan 07 2009 Jakub Bogusz <qboosh@pld-linux.org> e44cc95
- pkgconfig epoch

* Thu Jan 01 2009 arvenil <arvenil@pld-linux.org> 78c05bb
- release 2

* Thu Jan 01 2009 arvenil <arvenil@pld-linux.org> f01ef6d
- BR: pango-devel
- BR: pkgconfig >= 0.9.0
- added %ghost

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> ee58258
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 6ca3460
- converted to UTF-8

* Mon Oct 30 2006 sparky <sparky@pld-linux.org> 1655197
- rel 1 (not 2, it wasn't on builders)
- there is no --disable-mmx option

* Sun Oct 29 2006 sparky <sparky@pld-linux.org> 41e41ab
- -p1 for patch0

* Sun Oct 29 2006 sparky <sparky@pld-linux.org> ff66ea5
- patch simplified (file uses \r\n line terminators)

* Sat Oct 28 2006 shadzik <shadzik@pld-linux.org> 8caff66
- BR: libtool

* Sat Oct 28 2006 shadzik <shadzik@pld-linux.org> 8330d86
- add frozen-bubble API-adds patch, rel 2

* Sat Oct 28 2006 shadzik <shadzik@pld-linux.org> 776c844
- frozen-bubble API-adds, from official frozen-bubble homepage

* Sat Oct 28 2006 shadzik <shadzik@pld-linux.org> b1fd64d
- put SDL_Pango.h in the right place

* Sat Oct 28 2006 shadzik <shadzik@pld-linux.org> 477e8c0
- initial

